#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD1,0x83,0xB1,0x3A,0x11,0x90,0xAB,0x11,0x85,0xCC,0x49,0xC6,
		0xA1,0x7F,0xC8,0x8D,0x0B,0x67,0x42,0xF5,0x96,0x38,0x5A,0xE0,
		0x64,0x36,0x44,0x39,0x31,0xB1,0x92,0x82,0xBC,0x63,0x17,0x43,
		0x32,0x73,0xAF,0x35,0xC2,0xA2,0xF4,0xE6,0x6D,0xD0,0xC5,0xC4,
		0xF3,0xA5,0x73,0x35,0xD7,0x5E,0xD0,0x00,0x29,0xE4,0xF8,0x34,
		0xF5,0xD3,0xA1,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
